import { Tooltip, Image, Tag } from 'antd';
import { doFetch } from '@/utils/doFetch';
const statusColors = {
    1: '#7ac143',
    2: 'orange',
    3: '#fa4659'
};
function getcolumns(setdrawer, activeKey) {
    const commona = [
        {
            title: '客户',
            dataIndex: 'customerName',
            key: 'customerId',
            valueType: 'select',
            options: { path: '/lease/umLeaseCustomer/getSelection', params: {} },
            fieldProps: {
                showSearch: true
            },
            fixed: 'left'
        },
        {
            title: '合同单号',
            dataIndex: 'contractNo',
            key: 'contractNo',
            fixed: 'left'
        },
        {
            title: '设备编号',
            dataIndex: 'equipmentNo',
            key: 'equipmentNo'
        },
        {
            title: '设备名称',
            dataIndex: 'equipmentName',
            key: 'equipmentName',
        },
        {
            title: '智能单元莫格云眼编号',
            dataIndex: 'intelligentUnitNo',
            key: 'intelligentUnitNo',
            width: 170
        },
        {
            title: '每期单价（元）',
            dataIndex: 'unitPrice',
            key: 'unitPrice',
            hideInSearch: true
        },
        {
            title: '智享价（元）',
            dataIndex: 'zxPrice',
            key: 'zxPrice',
            hideInSearch: true
        },
        {
            title: '返利金额（元）',
            dataIndex: 'rebatePrice',
            key: 'rebatePrice',
            hideInSearch: true
        },
        {
            title: '押金（元）',
            dataIndex: 'deposit',
            key: 'deposit',
            hideInSearch: true
        }
    ],
        commonb = [
            {
                title: '开票期数',
                dataIndex: 'openNum',
                key: 'openNum',
                hideInSearch: true
            },
            {
                title: '已发生租金',
                dataIndex: 'occurredPrice',
                key: 'occurredPrice',
                hideInSearch: true
            },
            {
                title: '累计逾期欠费',
                dataIndex: 'overduePrice',
                key: 'overduePrice',
                hideInSearch: true
            },
            {
                title: '累计回款金额',
                dataIndex: 'collectionPrice',
                key: 'collectionPrice',
                hideInSearch: true
            },
            {
                title: '逾期次数',
                dataIndex: 'overdueNum',
                key: 'overdueNum',
                hideInSearch: true
            },
            {
                title: '开始租赁时间',
                dataIndex: 'startLeaseDate',
                key: 'startLeaseDateList',
                valueType: 'dateRange'
            },
            {
                title: '结束租赁时间',
                dataIndex: 'endLeaseDate',
                key: 'endLeaseDateList',
                valueType: 'dateRange'
            },
            {
                title: '实际结束时间',
                dataIndex: 'realEndDate',
                key: 'realEndDateList',
                valueType: 'dateRange'
            }
        ];
    return [
        {
            tab: '未完成',
            key: 'item-1',
            columns: [
                ...commona,
                {
                    title: '当前租期/租期',
                    dataIndex: 'thisTenancy',
                    key: 'thisTenancy',
                    render: (_, row) => {
                        return (
                            <a
                                className="table-cell"
                                onClick={() => {
                                    setdrawer && setdrawer((s) => ({
                                        ...s,
                                        open: true,
                                        item: row,
                                        val: 'only',
                                        title: '租期信息',
                                        type: 'detail'
                                    }));
                                }}
                            >
                                {row.thisTenancy + '/' + row.tenancyTotal}
                            </a>
                        );
                    },
                    hideInSearch: true
                },
                ...commonb,
                {
                    title: '回款状态',
                    dataIndex: 'collectionStatusName',
                    key: 'collectionStatus',
                    hideInForm: true,
                    valueType: 'select',
                    options: [
                        { label: '正常', value: 1 },
                        { label: '预警', value: 2 },
                        { label: '报警', value: 3 }
                    ],
                    fixed: 'right',
                    render: (_, row) => {
                        return <span style={{ color: statusColors[row.collectionStatus] }}>{row.collectionStatusName}</span>
                    },
                    width: 100
                },
            ]
        },
        {
            tab: '已完成',
            key: 'item-2',
            columns: [
                ...commona,
                {
                    title: '租期',
                    dataIndex: 'tenancyTotal',
                    key: 'tenancyTotal',
                    render: (_, row) => {
                        return (
                            <a
                                className="table-cell"
                                onClick={() => {
                                    setdrawer && setdrawer((s) => ({
                                        ...s,
                                        open: true,
                                        item: row,
                                        val: 'only',
                                        title: '租期信息',
                                        type: 'detail'
                                    }));
                                }}
                            >
                                {row.tenancyTotal}
                            </a>
                        );
                    },
                    hideInSearch: true
                },
                ...commonb,]
        }
    ]



}
export default getcolumns;